Click or drag to resize

CurveCreateCurve2View Method

Creates a third curve from two curves that are planar in different construction planes. The new curve looks the same as each of the original curves when viewed in each plane.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Curve[] CreateCurve2View(
	Curve curveA,
	Curve curveB,
	Vector3d vectorA,
	Vector3d vectorB,
	double tolerance,
	double angleTolerance
)

Parameters

curveA
Type: Rhino.GeometryCurve
The first curve.
curveB
Type: Rhino.GeometryCurve
The second curve.
vectorA
Type: Rhino.GeometryVector3d
A vector defining the normal direction of the plane which the first curve is drawn upon.
vectorB
Type: Rhino.GeometryVector3d
A vector defining the normal direction of the plane which the seconf curve is drawn upon.
tolerance
Type: SystemDouble
The tolerance for the operation.
angleTolerance
Type: SystemDouble
The angle tolerance for the operation.

Return Value

Type: Curve
An array containing one or more curves if successful.
Version Information

Rhino for Windows

Supported in: 6.2
See Also